/**
 * @file    MainExample.cpp
 * @brief   example using logger
 * @author  hendrik schutter
 * @date    04.09.2020
 */

#include <stdio.h>
#include "logger.h"

using namespace std;

/**
 * \brief   application entry point
 * \param	void
 * \return  int
 */
int main(void)
{
    cout << "Hello World!\n";

    struct sID id;

    id.description = "Software-Name - Copyright Company 2020";  //use your values here
    id.deviceID = "Device-Name";                                //use your values here
    id.softwareID = "0.1.1.8";                                  //use your values here
    id.hardwareID = "7.77.9";                                   //use your values here

    Logger* logging = new Logger("./test.txt", id);             //use your path here

    logging->info("Alle Systeme laufen!");                      //demo
    usleep(1465);
    logging->warning("Alle Systeme laufen!");                   //demo
    usleep(51654);
    logging->error("Alle Systeme laufen!");                     //demo

    cout << "bye!\n";

    return 0;
}

